Loading...
Searching...
No Matches
XrdCl::ArgBase< T >::PlainValue Struct Reference

A helper class for holding plain value. More...

`#include <XrdClArg.hh>`

Inheritance diagram for XrdCl::ArgBase< T >::PlainValue:
Collaboration diagram for XrdCl::ArgBase< T >::PlainValue:

## Public Member Functions

| PlainValue (T &&value)
T & | Get ()
Public Member Functions inherited from XrdCl::ArgBase< T >::ValueHolder
virtual | ~ValueHolder ()
| Virtual Destructor (important ;-).

## Detailed Description

template<typename T>
struct XrdCl::ArgBase< T >::PlainValue

A helper class for holding plain value.

Definition at line 133 of file XrdClArg.hh.

## Constructor & Destructor Documentation

## PlainValue()

template<typename T>

XrdCl::ArgBase< T >::PlainValue::PlainValue | ( | T && | value | ) |

inline

Constructor

Parameters

  value | : the value to be hold by us

Definition at line 140 of file XrdClArg.hh.

: value( std::move( value ) )
{
}
XrdCl::ArgBase
Base class for Arg.
Definition XrdClArg.hh:45
XrdCl::value
Response NullRef< Response >::value
Definition XrdClOperationHandlers.hh:128

## Member Function Documentation

## Get()

template<typename T>

T & XrdCl::ArgBase< T >::PlainValue::Get | ( |  | ) |

inline virtual

Returns
  : the value

Implements XrdCl::ArgBase< T >::ValueHolder.

Definition at line 147 of file XrdClArg.hh.

{
return value;
}

The documentation for this struct was generated from the following file:

- XrdClArg.hh